## org.eclipse.jst.pagedesigner.editors.properties.quickedittabsections
Interface QuickEditTabSectionsFactory

    public interface QuickEditTabSectionsFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `QuickEditTabSectionsPackage`

Field Summary
`static java.lang.String` `copyright`
`static QuickEditTabSectionsFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`QuickEditTabSections` `createQuickEditTabSections()` Returns a new object of class 'Quick Edit Tab Sections'
`SectionInfo` `createSectionInfo()` Returns a new object of class 'Section Info'
`QuickEditTabSectionsPackage` `getQuickEditTabSectionsPackage()` Returns the package supported by this factory

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eINSTANCE

    static final QuickEditTabSectionsFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createQuickEditTabSections

    QuickEditTabSections createQuickEditTabSections()

  Returns a new object of class 'Quick Edit Tab Sections'.

  Returns:
    a new object of class 'Quick Edit Tab Sections'.

### createSectionInfo

    SectionInfo createSectionInfo()

  Returns a new object of class 'Section Info'.

  Returns:
    a new object of class 'Section Info'.

### getQuickEditTabSectionsPackage

    QuickEditTabSectionsPackage getQuickEditTabSectionsPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.